%define ephy_major 1.9

Summary: Extensions for Epiphany, the GNOME web browser.
Name: epiphany-extensions
Version: 1.9.7
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
URL: http://www.gnome.org/projects/epiphany/extensions
Source0: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: epiphany-devel > %{ephy_major}
Requires: epiphany > %{ephy_major}

%description
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.

%prep
%setup -q

%build
%configure --disable-compiler-warnings
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install
/usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT %{name} --all-name

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog README NEWS
%{_datadir}/epiphany-extensions
%{_libdir}/epiphany

%changelog
* Mon Mar 27 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 1.9.7-1
- Update to 1.9.7

* Sun Feb  5 2006 Christopher Aillon <caillon@redhat.com> - 1.9.6-1
- Update to 1.9.6

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.9.4-1
- Update to 1.9.4

* Fri Dec 30 2005 Christopher Aillon <caillon@redhat.com> - 1.9.3-1
- Update to 1.9.3

* Mon Oct 10 2005 Christopher Aillon <caillon@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Tue Sep  6 2005 Christopher Aillon <caillon@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Wed Aug 10 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Mon Jul 11 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Mon Jun 27 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-2
- Own %%{_libdir}/epiphany
- Run find-lang.sh manually since the macro doesn't help us
- Clean up summary

* Thu Jun 16 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-1
- Initial RPM
